"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Endpoints_1 = require("../../Endpoints");
var GitHubRepositoryAPI = (function () {
    function GitHubRepositoryAPI(requestService) {
        this.requestService = requestService;
    }
    GitHubRepositoryAPI.prototype.getRepository = function (repositoryOwner, repositoryName) {
        var endpoint = Endpoints_1.Endpoint.GitHub.Repository.repository(repositoryOwner, repositoryName);
        return this.requestService.get(endpoint);
    };
    GitHubRepositoryAPI.prototype.getRepositoryWithDependencies = function (repositoryOwner, repositoryName) {
        var endpoint = Endpoints_1.Endpoint.GitHub.Repository.dependencies(repositoryOwner, repositoryName);
        return this.requestService.get(endpoint);
    };
    GitHubRepositoryAPI.prototype.getProjects = function (repositoryOwner, repositoryName, options) {
        var endpoint = Endpoints_1.Endpoint.GitHub.Repository.projects(repositoryOwner, repositoryName);
        return this.requestService.get(endpoint, options);
    };
    return GitHubRepositoryAPI;
}());
exports.GitHubRepositoryAPI = GitHubRepositoryAPI;
//# sourceMappingURL=GitHubRepositoryAPI.js.map