import { Contributor, LibrariesIOResult, PaginationOptions, PlatformType, Project, Repository } from '../../interfaces/';
import { RequestService } from '../../RequestService';
export declare class GitHubUserAPI {
    private readonly requestService;
    constructor(requestService: RequestService);
    getUser(userName: string): Promise<LibrariesIOResult<Contributor>>;
    getRepositories(userName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Repository[]>>;
    getProjects(userName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
    getContributedProjects(userName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
    getContributedRepositories(userName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Repository[]>>;
    getDependencies(userName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
    getDependencies(userName: string, platform?: PlatformType, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
}
