import { Contributor, LibrariesIOResult, PaginationOptions, PlatformType, Project, ProjectUsage, ProjectWithDependencies, Repository, SearchOptions } from '../interfaces/';
import { RequestService } from '../RequestService';
export declare class ProjectAPI {
    private readonly requestService;
    constructor(requestService: RequestService);
    getProject(platform: PlatformType, projectName: string): Promise<LibrariesIOResult<Project>>;
    getProjectWithDependencies(platform: PlatformType, projectName: string, projectVersion: string): Promise<LibrariesIOResult<ProjectWithDependencies>>;
    getDependendents(platform: PlatformType, projectName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Project[]>>;
    getDependendentRepositories(platform: PlatformType, projectName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Repository[]>>;
    getContributors(platform: PlatformType, projectName: string, options?: PaginationOptions): Promise<LibrariesIOResult<Contributor[]>>;
    getSourceRank(platform: PlatformType, projectName: string): Promise<LibrariesIOResult<number>>;
    getUsage(platform: PlatformType, projectName: string): Promise<LibrariesIOResult<ProjectUsage>>;
    search(query: string, options?: SearchOptions): Promise<LibrariesIOResult<Project[]>>;
}
