"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var Endpoints_1 = require("../Endpoints");
var ProjectAPI = (function () {
    function ProjectAPI(requestService) {
        this.requestService = requestService;
    }
    ProjectAPI.prototype.getProject = function (platform, projectName) {
        var endpoint = Endpoints_1.Endpoint.Project.project(platform, projectName);
        return this.requestService.get(endpoint);
    };
    ProjectAPI.prototype.getProjectWithDependencies = function (platform, projectName, projectVersion) {
        var endpoint = Endpoints_1.Endpoint.Project.dependencies(platform, projectName, projectVersion);
        return this.requestService.get(endpoint);
    };
    ProjectAPI.prototype.getDependendents = function (platform, projectName, options) {
        var endpoint = Endpoints_1.Endpoint.Project.dependents(platform, projectName);
        return this.requestService.get(endpoint, options);
    };
    ProjectAPI.prototype.getDependendentRepositories = function (platform, projectName, options) {
        var endpoint = Endpoints_1.Endpoint.Project.dependents(platform, projectName);
        return this.requestService.get(endpoint, options);
    };
    ProjectAPI.prototype.getContributors = function (platform, projectName, options) {
        var endpoint = Endpoints_1.Endpoint.Project.dependents(platform, projectName);
        return this.requestService.get(endpoint, options);
    };
    ProjectAPI.prototype.getSourceRank = function (platform, projectName) {
        var endpoint = Endpoints_1.Endpoint.Project.sourceRank(platform, projectName);
        return this.requestService.get(endpoint);
    };
    ProjectAPI.prototype.getUsage = function (platform, projectName) {
        var endpoint = Endpoints_1.Endpoint.Project.sourceRank(platform, projectName);
        return this.requestService.get(endpoint);
    };
    ProjectAPI.prototype.search = function (query, options) {
        var endpoint = Endpoints_1.Endpoint.Project.search();
        return this.requestService.get(endpoint, __assign({}, options, { query: query }));
    };
    return ProjectAPI;
}());
exports.ProjectAPI = ProjectAPI;
//# sourceMappingURL=ProjectAPI.js.map